API Reference
DashboardGet API keyAPI key

Getting started

  • Introduction
  • Authentication
  • Errors & rate limits

Voice agents

WhatsApp agents

Workspace

    • Overview
    • GETList members
    • PATCHUpdate member
    • DELRemove member
    • GETList invitations
    • POSTInvite member
    • DELRevoke invitation

WorkspaceTeam

List invitations

Returns invitations that haven't been accepted or revoked yet.

GET/v2/team/invites

Authorization

  • Authorizationstringheaderrequired

    Bearer authentication header of the form Bearer <api_key>, where <api_key> is a key from Account Settings → API keys in your dashboard.

Response

An array of invitation objects.

  • idstring (uuid)

    Invitation id.

  • emailstring

    Invited email.

  • rolestring

    Always member.

  • statusstring

    pending, accepted or revoked.

  • expires_atstring (date-time)

    When the invite link stops working.

  • created_atstring (date-time)nullable

    When the invite was sent.

Request
curl --request GET \
  --url 'https://api.tarangnow.com/v2/team/invites' \
  --header 'Authorization: Bearer <api_key>'
Response
[
  {
    "id": "f1e2d3c4-b5a6-4978-8a9b-0c1d2e3f4a5b",
    "email": "neha@acmefinance.in",
    "role": "member",
    "status": "pending",
    "expires_at": "2026-11-03T09:15:42Z",
    "created_at": "2026-10-27T09:15:42Z"
  }
]
PreviousRemove memberNextInvite member